package com.ssj.bean.sys.schoolmatecircle.domain;

import javax.persistence.Entity;
import javax.persistence.Table;
import com.ssj.bean.common.framework.core.domain.BaseEntity;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
@Entity
@Table(name = "scon_schoolmate_message")
public class SchoolmateMessage extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 同学圈分享id
     */
    private String schoolmateCircleId;

    /**
     * 素材地址（type=1->同学圈素材；type=2->被评论素材；type=3->同学圈素材；type=4->被评论素材；type=5->采纳解答素材；），多个“,”隔开
     */
    private String material;
    /**
     * 学生userId
     */
    private String userId;
    /**
     * 评论人|点赞人|采纳人userId
     */
    private String operateUserId;
    /**
     * 1:分享点赞,2:评论点赞,3:评论我的同学圈,4:评论我的评论,5:采纳解答
     */
    private int type;
    /**
     * type=1->空；type=2->空；type=3->评论人评论内容；type=4->评论人评论内容；type=5->空
     */
    private String content;
    /**
     * type=1->我的分享文字内容；type=2->我的评论文字内容；type=3->我的同学圈文字内容；type=4->我的评论内容；type=5->被采纳的文字内容
     */
    private String myContent;

    /**
     * 创建时间
     */
    private Date createTime;

    public String getSchoolmateCircleId() {
        return schoolmateCircleId;
    }

    public void setSchoolmateCircleId(String schoolmateCircleId) {
        this.schoolmateCircleId = schoolmateCircleId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOperateUserId() {
        return operateUserId;
    }

    public void setOperateUserId(String operateUserId) {
        this.operateUserId = operateUserId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMyContent() {
        return myContent;
    }

    public void setMyContent(String myContent) {
        this.myContent = myContent;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }
}
